Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/offlineimap: new aport

From: Peter Bui <pnutzh4x0r_at_gmail.com>
Date: Sun, 24 Aug 2014 01:44:10 -0500

http://offlineimap.org/
Synchronizes emails between two repositories
---
 testing/offlineimap/APKBUILD | 44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)
 create mode 100644 testing/offlineimap/APKBUILD
diff --git a/testing/offlineimap/APKBUILD b/testing/offlineimap/APKBUILD
new file mode 100644
index 0000000..904c610
--- /dev/null
+++ b/testing/offlineimap/APKBUILD
_at_@ -0,0 +1,44 @@
+# Contributor: Peter Bui <pnutzh4x0r_at_gmail.com>
+# Maintainer:
+pkgname=offlineimap
+pkgver=6.5.6
+pkgrel=0
+pkgdesc="Synchronizes emails between two repositories"
+url="http://offlineimap.org/"
+arch="noarch"
+license="GPL"
+depends="python"
+depends_dev="python-dev py-docutils"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="https://github.com/OfflineIMAP/${pkgname}/archive/v${pkgver}.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+	rst2man.py docs/MANUAL.rst offlineimap.1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --root="${pkgdir}" --optimize=1 || return 1
+	install -Dm644 offlineimap.1 "${pkgdir}"/usr/share/man/man1/offlineimap.1
+	install -Dm644 offlineimap.conf "${pkgdir}"/usr/share/offlineimap/offlineimap.conf
+	install -Dm644 offlineimap.conf.minimal "${pkgdir}"/usr/share/offlineimap/offlineimap.conf.minimal
+}
+
+md5sums="b595561eb2050767c376df3b92aa0d74  v6.5.6.tar.gz"
+sha256sums="c23219cdbbae7fe12346ece94c427737fd4083720a124fff6f95a26c56f728c3  v6.5.6.tar.gz"
+sha512sums="0f460a95816ba3e7266dda48e4193680b0c8d7da0b3f4398d254dab0341badec0a11e1b518494ec1f7aaa93956d9d0a674f7489c5d7300a7968459409243e392  v6.5.6.tar.gz"
-- 
2.1.0
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Sun Aug 24 2014 - 01:44:10 UTC